Index: branches/1.1dev/lib/AuthSQL.inc.php
===================================================================
--- branches/1.1dev/lib/AuthSQL.inc.php	(revision 81)
+++ branches/1.1dev/lib/AuthSQL.inc.php	(revision 82)
@@ -185,6 +185,6 @@
             SELECT *, " . $this->_params['user_id_column'] . " AS user_id 
             FROM " . $this->_params['user_tbl'] . "
-            WHERE BINARY username = '" . addslashes($username) . "'
-            AND BINARY userpass = '" . addslashes($this->encryptPassword($password)) . "'
+            WHERE BINARY username = '" . mysql_real_escape_string($username) . "'
+            AND BINARY userpass = '" . mysql_real_escape_string($this->encryptPassword($password)) . "'
         ");
         
@@ -331,5 +331,5 @@
             $qid = dbQuery("
                 SELECT 1 FROM " . $this->_params['user_tbl'] . "
-                WHERE " . $this->_params['user_id_column'] . " = '" . addslashes($user_id) . "'
+                WHERE " . $this->_params['user_id_column'] . " = '" . mysql_real_escape_string($user_id) . "'
                 AND DATE_ADD(last_login_datetime, INTERVAL '" . $this->_params['login_timeout'] . "' SECOND) > NOW()
                 AND DATE_ADD(last_access_datetime, INTERVAL '" . $this->_params['idle_timeout'] . "' SECOND) > NOW()
@@ -444,5 +444,5 @@
     {
         if ($this->getFeature('blocking')) {
-            if (strlen(addslashes($reason)) > 255) {
+            if (strlen(mysql_real_escape_string($reason)) > 255) {
                 // blocked_reason field is varchar(255).
             	logMsg(sprintf('Blocked reason provided is greater than 255 characters: %s', $reason), LOG_WARNING, __FILE__, __LINE__);
@@ -454,6 +454,6 @@
                 UPDATE " . $this->_params['user_tbl'] . " SET
                 blocked = 'true',
-                blocked_reason = '" . addslashes($reason) . "'
-                WHERE " . $this->_params['user_id_column'] . " = '" . addslashes($user_id) . "'
+                blocked_reason = '" . mysql_real_escape_string($reason) . "'
+                WHERE " . $this->_params['user_id_column'] . " = '" . mysql_real_escape_string($user_id) . "'
             ");
         }
@@ -472,5 +472,5 @@
                 blocked = '',
                 blocked_reason = ''
-                WHERE " . $this->_params['user_id_column'] . " = '" . addslashes($user_id) . "'
+                WHERE " . $this->_params['user_id_column'] . " = '" . mysql_real_escape_string($user_id) . "'
             ");
         }
@@ -486,5 +486,5 @@
     function usernameExists($username)
     {	
-        $qid = dbQuery("SELECT 1 FROM " . $this->_params['user_tbl'] . " WHERE username = '" . addslashes($username) . "'");
+        $qid = dbQuery("SELECT 1 FROM " . $this->_params['user_tbl'] . " WHERE username = '" . mysql_real_escape_string($username) . "'");
         return (mysql_num_rows($qid) > 0);
     }
@@ -499,5 +499,5 @@
     function getUsername($user_id)
     {	
-        $qid = dbQuery("SELECT " . $this->_params['username_column'] . " FROM " . $this->_params['user_tbl'] . " WHERE " . $this->_params['user_id_column'] . " = '" . addslashes($user_id) . "'");
+        $qid = dbQuery("SELECT " . $this->_params['username_column'] . " FROM " . $this->_params['user_tbl'] . " WHERE " . $this->_params['user_id_column'] . " = '" . mysql_real_escape_string($user_id) . "'");
         if (list($username) = mysql_fetch_row($qid)) {
         	return $username;
@@ -577,6 +577,6 @@
         dbQuery("
             UPDATE " . $this->_params['user_tbl'] . " 
-            SET userpass = '" . addslashes($this->encryptPassword($password)) . "'
-            WHERE " . $this->_params['user_id_column'] . " = '" . addslashes($user_id) . "'
+            SET userpass = '" . mysql_real_escape_string($this->encryptPassword($password)) . "'
+            WHERE " . $this->_params['user_id_column'] . " = '" . mysql_real_escape_string($user_id) . "'
         ");
     }
@@ -600,5 +600,5 @@
         $qid = dbQuery("
             SELECT * FROM " . $this->_params['user_tbl'] . "
-            WHERE " . $this->_params['user_id_column'] . " = '" . addslashes($user_id) . "'
+            WHERE " . $this->_params['user_id_column'] . " = '" . mysql_real_escape_string($user_id) . "'
         ");
         $user_data = mysql_fetch_assoc($qid);
@@ -610,6 +610,6 @@
         dbQuery("
             UPDATE " . $this->_params['user_tbl'] . " 
-            SET userpass = '" . addslashes($this->encryptPassword($password)) . "'
-            WHERE " . $this->_params['user_id_column'] . " = '" . addslashes($user_id) . "'
+            SET userpass = '" . mysql_real_escape_string($this->encryptPassword($password)) . "'
+            WHERE " . $this->_params['user_id_column'] . " = '" . mysql_real_escape_string($user_id) . "'
         ");
 
Index: branches/1.1dev/lib/MySQLSessionHandler.inc.php
===================================================================
--- branches/1.1dev/lib/MySQLSessionHandler.inc.php	(revision 81)
+++ branches/1.1dev/lib/MySQLSessionHandler.inc.php	(revision 82)
@@ -52,5 +52,5 @@
     
     // Select the data belonging to session $session_id from the MySQL session table    
-    $qid = mysql_query("SELECT session_data FROM " . $sess_mysql['table'] . " WHERE session_id = '" . addslashes($session_id) . "'", $sess_mysql['dbh']);
+    $qid = mysql_query("SELECT session_data FROM " . $sess_mysql['table'] . " WHERE session_id = '" . mysql_real_escape_string($session_id) . "'", $sess_mysql['dbh']);
     
     // Check for errors
@@ -75,5 +75,5 @@
     
     // Write the serialized session data ($session_data) to the MySQL session table
-    mysql_query("REPLACE INTO " . $sess_mysql['table'] . "(session_id, session_data, last_access) VALUES ('" . addslashes($session_id) . "', '" . addslashes($session_data) . "', null)", $sess_mysql['dbh']);
+    mysql_query("REPLACE INTO " . $sess_mysql['table'] . "(session_id, session_data, last_access) VALUES ('" . mysql_real_escape_string($session_id) . "', '" . mysql_real_escape_string($session_data) . "', null)", $sess_mysql['dbh']);
     
     // Check for errors
@@ -91,5 +91,5 @@
 
     // Delete from the MySQL table all data for the session $session_id
-    mysql_query("DELETE FROM " . $sess_mysql['table'] . " WHERE session_id = '" . addslashes($session_id) . "'", $sess_mysql['dbh']);
+    mysql_query("DELETE FROM " . $sess_mysql['table'] . " WHERE session_id = '" . mysql_real_escape_string($session_id) . "'", $sess_mysql['dbh']);
             
     // Check for errors
Index: branches/1.1dev/lib/NodeHeirarchy.inc.php
===================================================================
--- branches/1.1dev/lib/NodeHeirarchy.inc.php	(revision 81)
+++ branches/1.1dev/lib/NodeHeirarchy.inc.php	(revision 82)
@@ -202,10 +202,10 @@
                     title
                 ) VALUES (
-                    '" . addslashes($parent['node_type']) . "', 
-                    '" . addslashes($parent['node_id']) . "', 
-                    '" . addslashes($child_type) . "', 
-                    '" . addslashes($child_id) . "', 
-                    " . (is_null($relationship_type) ? "NULL" : "'" . addslashes($relationship_type) . "'") . ",
-                    '" . addslashes($title) . "'
+                    '" . mysql_real_escape_string($parent['node_type']) . "', 
+                    '" . mysql_real_escape_string($parent['node_id']) . "', 
+                    '" . mysql_real_escape_string($child_type) . "', 
+                    '" . mysql_real_escape_string($child_id) . "', 
+                    " . (is_null($relationship_type) ? "NULL" : "'" . mysql_real_escape_string($relationship_type) . "'") . ",
+                    '" . mysql_real_escape_string($title) . "'
                 )
             ");
@@ -250,6 +250,6 @@
         dbQuery("
             DELETE FROM node_tbl
-            WHERE child_type = '" . addslashes($child_type) . "'
-            AND child_id = '" . addslashes($child_id) . "'
+            WHERE child_type = '" . mysql_real_escape_string($child_type) . "'
+            AND child_id = '" . mysql_real_escape_string($child_id) . "'
         ");
         logMsg(sprintf('deleteNode: Deleted node %s %s.', $child_type, $child_id), LOG_DEBUG, __FILE__, __LINE__);
@@ -316,7 +316,7 @@
             $qid = dbQuery("
                 SELECT title FROM node_tbl
-                WHERE child_type = '" . addslashes($child_type) . "'
-                AND child_id = '" . addslashes($child_id) . "'
-                AND relationship_type " . (is_null($relationship_type) ? "IS NULL" : "= '" . addslashes($relationship_type) . "'") . "
+                WHERE child_type = '" . mysql_real_escape_string($child_type) . "'
+                AND child_id = '" . mysql_real_escape_string($child_id) . "'
+                AND relationship_type " . (is_null($relationship_type) ? "IS NULL" : "= '" . mysql_real_escape_string($relationship_type) . "'") . "
             ");
             list($title) = mysql_fetch_row($qid);
@@ -326,7 +326,7 @@
         dbQuery("
             DELETE FROM node_tbl
-            WHERE child_type = '" . addslashes($child_type) . "'
-            AND child_id = '" . addslashes($child_id) . "'
-            AND relationship_type " . (is_null($relationship_type) ? "IS NULL" : "= '" . addslashes($relationship_type) . "'") . "
+            WHERE child_type = '" . mysql_real_escape_string($child_type) . "'
+            AND child_id = '" . mysql_real_escape_string($child_id) . "'
+            AND relationship_type " . (is_null($relationship_type) ? "IS NULL" : "= '" . mysql_real_escape_string($relationship_type) . "'") . "
         ");
         logMsg(sprintf('moveNode: Deleted node %s %s.', $child_type, $child_id), LOG_DEBUG, __FILE__, __LINE__);
@@ -364,5 +364,5 @@
                 $type_constraint = array($type_constraint);
             }
-            $in_clause = "AND parent_type IN ('" . join("','", array_map('addslashes', $type_constraint)) . "')";
+            $in_clause = "AND parent_type IN ('" . join("','", array_map('mysql_real_escape_string', $type_constraint)) . "')";
         }
 
@@ -370,8 +370,8 @@
             SELECT parent_type, parent_id
             FROM node_tbl
-            WHERE child_type = '" . addslashes($child_type) . "'
-            AND child_id = '" . addslashes($child_id) . "'
+            WHERE child_type = '" . mysql_real_escape_string($child_type) . "'
+            AND child_id = '" . mysql_real_escape_string($child_id) . "'
             $in_clause
-            " . addslashes($order) . "
+            " . mysql_real_escape_string($order) . "
         ");
         
@@ -410,6 +410,6 @@
             SELECT child_type, child_id, title, subnode_quantity
             FROM node_tbl 
-            WHERE child_type = '" . addslashes($child_type) . "'
-            AND child_id = '" . addslashes($child_id) . "'
+            WHERE child_type = '" . mysql_real_escape_string($child_type) . "'
+            AND child_id = '" . mysql_real_escape_string($child_id) . "'
         ");
         
@@ -453,5 +453,5 @@
                 $type_constraint = array($type_constraint);
             }
-            $in_clause = "AND child_type IN ('" . join("','", array_map('addslashes', $type_constraint)) . "')";
+            $in_clause = "AND child_type IN ('" . join("','", array_map('mysql_real_escape_string', $type_constraint)) . "')";
         }
         
@@ -459,8 +459,8 @@
             SELECT *
             FROM node_tbl 
-            WHERE parent_type = '" . addslashes($child_type) . "'
-            AND parent_id = '" . addslashes($child_id) . "'
+            WHERE parent_type = '" . mysql_real_escape_string($child_type) . "'
+            AND parent_id = '" . mysql_real_escape_string($child_id) . "'
             $in_clause
-            " . addslashes($order) . "
+            " . mysql_real_escape_string($order) . "
         ");
         
@@ -502,5 +502,5 @@
                 $type_constraint = array($type_constraint);
             }
-            $in_clause = "AND child_type IN ('" . join("','", array_map('addslashes', $type_constraint)) . "')";
+            $in_clause = "AND child_type IN ('" . join("','", array_map('mysql_real_escape_string', $type_constraint)) . "')";
         }
 
@@ -508,6 +508,6 @@
             SELECT COUNT(*)
             FROM node_tbl 
-            WHERE parent_type = '" . addslashes($child_type) . "'
-            AND parent_id = '" . addslashes($child_id) . "'
+            WHERE parent_type = '" . mysql_real_escape_string($child_type) . "'
+            AND parent_id = '" . mysql_real_escape_string($child_id) . "'
             $in_clause
         ");
@@ -590,6 +590,6 @@
             SELECT parent_type, parent_id, child_type, child_id, title, subnode_quantity
             FROM node_tbl
-            WHERE child_type = '" . addslashes($child_type) . "'
-            AND child_id = '" . addslashes($child_id) . "'
+            WHERE child_type = '" . mysql_real_escape_string($child_type) . "'
+            AND child_id = '" . mysql_real_escape_string($child_id) . "'
         ");
         while ($row = mysql_fetch_assoc($qid)) {
@@ -649,15 +649,15 @@
             $qid = dbQuery("
                 SELECT 1 FROM node_tbl
-                WHERE parent_type = '" . addslashes($parent_type) . "'
-                AND parent_id = '" . addslashes($parent_id) . "'
-                AND child_type = '" . addslashes($child_type) . "'
-                AND child_id = '" . addslashes($child_id) . "'
-                AND relationship_type " . (is_null($relationship_type) ? "IS NULL" : "= '" . addslashes($relationship_type) . "'") . "
+                WHERE parent_type = '" . mysql_real_escape_string($parent_type) . "'
+                AND parent_id = '" . mysql_real_escape_string($parent_id) . "'
+                AND child_type = '" . mysql_real_escape_string($child_type) . "'
+                AND child_id = '" . mysql_real_escape_string($child_id) . "'
+                AND relationship_type " . (is_null($relationship_type) ? "IS NULL" : "= '" . mysql_real_escape_string($relationship_type) . "'") . "
             ");
         } else {
             $qid = dbQuery("
                 SELECT 1 FROM node_tbl
-                WHERE child_type = '" . addslashes($child_type) . "'
-                AND child_id = '" . addslashes($child_id) . "'
+                WHERE child_type = '" . mysql_real_escape_string($child_type) . "'
+                AND child_id = '" . mysql_real_escape_string($child_id) . "'
             ");
         }
@@ -781,13 +781,13 @@
         dbQuery("
             UPDATE node_tbl
-            SET subnode_quantity = subnode_quantity + '" . addslashes($num_children) . "'
-            WHERE child_type = '" . addslashes($child_type) . "'
-            AND child_id = '" . addslashes($child_id) . "'
+            SET subnode_quantity = subnode_quantity + '" . mysql_real_escape_string($num_children) . "'
+            WHERE child_type = '" . mysql_real_escape_string($child_type) . "'
+            AND child_id = '" . mysql_real_escape_string($child_id) . "'
         ",false);
         $qid = dbQuery("
             SELECT parent_type, parent_id
             FROM node_tbl 
-            WHERE child_type = '" . addslashes($child_type) . "'
-            AND child_id = '" . addslashes($child_id) . "' 
+            WHERE child_type = '" . mysql_real_escape_string($child_type) . "'
+            AND child_id = '" . mysql_real_escape_string($child_id) . "' 
         ",false);
         while ((list($parent_type, $parent_id) = mysql_fetch_row($qid)) && $parent_id > 0) {
Index: branches/1.1dev/lib/OrderStatus.inc.php
===================================================================
--- branches/1.1dev/lib/OrderStatus.inc.php	(revision 81)
+++ branches/1.1dev/lib/OrderStatus.inc.php	(revision 82)
@@ -18,5 +18,5 @@
 {
 	if ($status != '') {
-		$whereclause = 'WHERE status = ' . addslashes($status);
+		$whereclause = 'WHERE status = ' . mysql_real_escape_string($status);
 	} else {
 		$whereclause = '';
@@ -52,5 +52,5 @@
 	global $CFG, $_SESSION;
 
-	$qid = dbQuery("SELECT status, email, first_name, last_name FROM order_tbl WHERE order_id = " . addslashes($order_id));
+	$qid = dbQuery("SELECT status, email, first_name, last_name FROM order_tbl WHERE order_id = " . mysql_real_escape_string($order_id));
 	if (mysql_num_rows($qid) == 1) {
 	/* The order exists, we contine. */
@@ -105,5 +105,5 @@
 		/* Otherwise we assume everything was updated okay and that 
 		 * we have a valid new status and so proceed updating the orders table. */
-		dbQuery("UPDATE order_tbl SET status = " . addslashes($db_update) . " WHERE order_id = " . addslashes($order_id));
+		dbQuery("UPDATE order_tbl SET status = " . mysql_real_escape_string($db_update) . " WHERE order_id = " . mysql_real_escape_string($order_id));
 		
 		if ($email_user == true) {
@@ -111,5 +111,5 @@
 			
 			/* Query to load the details of this order. */
-			$qid_order = dbQuery("SELECT * FROM order_tbl WHERE order_id = " . addslashes($order_id));
+			$qid_order = dbQuery("SELECT * FROM order_tbl WHERE order_id = " . mysql_real_escape_string($order_id));
 			$order = mysql_fetch_assoc($qid_order);
 
@@ -129,5 +129,5 @@
 				LEFT JOIN product_tbl p
 				ON (oi.product_id = p.product_id)
-				WHERE oi.order_id = " . addslashes($order_id) . "
+				WHERE oi.order_id = " . mysql_real_escape_string($order_id) . "
 			");
 			$item_num = 0;
@@ -214,5 +214,5 @@
 {  
 	if ($polarity == '+' || $polarity == '-') {
-		$qid = dbQuery("SELECT product_id, qty as order_qty FROM order_items_tbl WHERE order_id = " . addslashes($order_id));
+		$qid = dbQuery("SELECT product_id, qty as order_qty FROM order_items_tbl WHERE order_id = " . mysql_real_escape_string($order_id));
 		/* First we make sure each item is in stock in adequate quantities. */
 		while ($order_item = mysql_fetch_assoc($qid)) {
Index: branches/1.1dev/lib/PageNumbers.inc.php
===================================================================
--- branches/1.1dev/lib/PageNumbers.inc.php	(revision 81)
+++ branches/1.1dev/lib/PageNumbers.inc.php	(revision 82)
@@ -197,5 +197,5 @@
     {
         if (is_numeric($this->first_item) && is_numeric($this->_per_page)) {
-            return ' LIMIT ' . addslashes($this->first_item) . ', ' . addslashes($this->_per_page) . ' ';
+            return ' LIMIT ' . mysql_real_escape_string($this->first_item) . ', ' . mysql_real_escape_string($this->_per_page) . ' ';
         } else {
             logMsg(sprintf('Could not find SQL to LIMIT by %s %s.', $this->first_item, $this->_per_page), LOG_WARNING, __FILE__, __LINE__);
Index: branches/1.1dev/lib/RecordLock.inc.php
===================================================================
--- branches/1.1dev/lib/RecordLock.inc.php	(revision 81)
+++ branches/1.1dev/lib/RecordLock.inc.php	(revision 82)
@@ -45,5 +45,5 @@
             $qid = dbQuery("
                 SELECT * FROM lock_tbl 
-                WHERE lock_id = '" . addslashes($record_table_or_lock_id) . "'
+                WHERE lock_id = '" . mysql_real_escape_string($record_table_or_lock_id) . "'
             ");
         } else {
@@ -51,12 +51,12 @@
             $qid = dbQuery("
                 SELECT * FROM lock_tbl 
-                WHERE record_table = '" . addslashes($record_table_or_lock_id) . "'
-                AND record_key = '" . addslashes($record_key) . "'
-                AND record_val = '" . addslashes($record_val) . "'
+                WHERE record_table = '" . mysql_real_escape_string($record_table_or_lock_id) . "'
+                AND record_key = '" . mysql_real_escape_string($record_key) . "'
+                AND record_val = '" . mysql_real_escape_string($record_val) . "'
             ");
         }
         if ($this->data = mysql_fetch_assoc($qid)) {
             // This could be integrated into the above query, but with the new auth system, this will be a $auth-> method call.
-//             $qid = dbQuery("SELECT username FROM admin_tbl WHERE admin_id = '" . addslashes($this->data['set_by_admin_id']) . "'");
+//             $qid = dbQuery("SELECT username FROM admin_tbl WHERE admin_id = '" . mysql_real_escape_string($this->data['set_by_admin_id']) . "'");
 //             list($this->data['editor']) = mysql_fetch_row($qid);
             $this->data['editor'] = $this->_auth->getUsername($this->data['set_by_admin_id']);
@@ -86,5 +86,5 @@
     {
         if (isset($this->data['lock_id'])) {
-            $qid = dbQuery("SELECT * FROM lock_tbl WHERE lock_id = '" . addslashes($this->data['lock_id']) . "'");
+            $qid = dbQuery("SELECT * FROM lock_tbl WHERE lock_id = '" . mysql_real_escape_string($this->data['lock_id']) . "'");
             if ($lock = mysql_fetch_assoc($qid)) {
                 return ($lock['set_by_admin_id'] == $this->_auth->getVal('user_id'));
@@ -112,7 +112,7 @@
         dbQuery("
             DELETE FROM lock_tbl 
-            WHERE record_table = '" . addslashes($record_table) . "'
-            AND record_key = '" . addslashes($record_key) . "'
-            AND record_val = '" . addslashes($record_val) . "'
+            WHERE record_table = '" . mysql_real_escape_string($record_table) . "'
+            AND record_key = '" . mysql_real_escape_string($record_key) . "'
+            AND record_val = '" . mysql_real_escape_string($record_val) . "'
         ");
         
@@ -127,9 +127,9 @@
                 lock_datetime
             ) VALUES (
-                '" . addslashes($record_table) . "',
-                '" . addslashes($record_key) . "',
-                '" . addslashes($record_val) . "',
-                '" . addslashes($title) . "',
-                '" . addslashes($this->_auth->getVal('user_id')) . "',
+                '" . mysql_real_escape_string($record_table) . "',
+                '" . mysql_real_escape_string($record_key) . "',
+                '" . mysql_real_escape_string($record_val) . "',
+                '" . mysql_real_escape_string($title) . "',
+                '" . mysql_real_escape_string($this->_auth->getVal('user_id')) . "',
                 NOW()
             )
@@ -151,5 +151,5 @@
         dbQuery("
             DELETE FROM lock_tbl 
-            WHERE lock_id = '" . addslashes($this->data['lock_id']) . "'
+            WHERE lock_id = '" . mysql_real_escape_string($this->data['lock_id']) . "'
         ");
     }
@@ -162,5 +162,5 @@
         if (isset($user_id)) {
             // Delete specific user's locks.
-            dbQuery("DELETE FROM lock_tbl WHERE set_by_admin_id = '" . addslashes($user_id) . "'");
+            dbQuery("DELETE FROM lock_tbl WHERE set_by_admin_id = '" . mysql_real_escape_string($user_id) . "'");
             logMsg(sprintf('Record locks owned by %s %s have been deleted', $this->_auth->getVal('auth_name'), $this->_auth->getUsername($user_id)), LOG_INFO, __FILE__, __LINE__);
         } else {
Index: branches/1.1dev/lib/SortOrder.inc.php
===================================================================
--- branches/1.1dev/lib/SortOrder.inc.php	(revision 81)
+++ branches/1.1dev/lib/SortOrder.inc.php	(revision 82)
@@ -149,5 +149,5 @@
 
         if (!empty($this->_columns[strtolower($this->sort_by)][strtolower(strtolower($this->order))])) {
-            return ' ORDER BY ' . addslashes($this->_columns[strtolower($this->sort_by)][strtolower(strtolower($this->order))]);
+            return ' ORDER BY ' . mysql_real_escape_string($this->_columns[strtolower($this->sort_by)][strtolower(strtolower($this->order))]);
         } else {
             logMsg(sprintf('Could not find SQL to sort by %s %s.', $this->sort_by, $this->order), LOG_WARNING, __FILE__, __LINE__);
Index: branches/1.1dev/lib/Utilities.inc.php
===================================================================
--- branches/1.1dev/lib/Utilities.inc.php	(revision 81)
+++ branches/1.1dev/lib/Utilities.inc.php	(revision 82)
@@ -487,5 +487,5 @@
 {
     if (is_array($array) && !empty($array)) {
-        return join(',', array_map('addslashes', array_keys($array)));
+        return join(',', array_map('mysql_real_escape_string', array_keys($array)));
     }
 }