Index: trunk/tests/HierarchyTest.php
===================================================================
--- trunk/tests/HierarchyTest.php	(revision 88)
+++ trunk/tests/HierarchyTest.php	(revision 88)
@@ -0,0 +1,160 @@
+<?php
+/// FIXME: Tests not implemented.
+return;
+
+/**
+ * PHPUnit test case for Hierarchy
+ *
+ * The method skeletons below need to be filled in with
+ * real data so that the tests will run correctly. Replace
+ * all EXPECTED_VAL and PARAM strings with real data.
+ *
+ * Created with PHPUnit_Skeleton on 2005-08-09
+ */
+require_once 'PHPUnit.php';
+class HierarchyTest extends PHPUnit_TestCase {
+
+    var $Hierarchy;
+
+    function HierarchyTest($name)
+    {
+        $this->PHPUnit_TestCase($name);
+    }
+
+    function setUp()
+    {
+        require dirname(__FILE__) . '/_config.inc.php';
+        require_once '../lib/Hierarchy.inc.php';
+        $this->Hierarchy =& new Hierarchy(PARAM);
+    }
+
+    function tearDown()
+    {
+        unset($this->Hierarchy);
+    }
+
+    function test_currentnode()
+    {
+        $result = $this->Hierarchy->currentnode(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_tostringid()
+    {
+        $result = $this->Hierarchy->tostringid(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_toarrayid()
+    {
+        $result = $this->Hierarchy->toarrayid(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_insertnode()
+    {
+        $result = $this->Hierarchy->insertnode(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_deletenode()
+    {
+        $result = $this->Hierarchy->deletenode(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_movenode()
+    {
+        $result = $this->Hierarchy->movenode(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_getparents()
+    {
+        $result = $this->Hierarchy->getparents(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_getnode()
+    {
+        $result = $this->Hierarchy->getnode(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_getchildren()
+    {
+        $result = $this->Hierarchy->getchildren(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_getnumberchildren()
+    {
+        $result = $this->Hierarchy->getnumberchildren(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_isleaf()
+    {
+        $result = $this->Hierarchy->isleaf(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_isancestor()
+    {
+        $result = $this->Hierarchy->isancestor(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_getallancestors()
+    {
+        $result = $this->Hierarchy->getallancestors(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_nodeexists()
+    {
+        $result = $this->Hierarchy->nodeexists(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_getnodelist()
+    {
+        $result = $this->Hierarchy->getnodelist(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_rebuildsubnodeqty()
+    {
+        $result = $this->Hierarchy->rebuildsubnodeqty(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_setsubnodeqtytoparents()
+    {
+        $result = $this->Hierarchy->setsubnodeqtytoparents(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+}
+// Running the test.
+$suite = new PHPUnit_TestSuite('HierarchyTest');
+$result = PHPUnit::run($suite);
+echo $result->toString();
+?>
Index: trunk/tests/NodeHeirarchyTest.php
===================================================================
--- trunk/tests/NodeHeirarchyTest.php	(revision 87)
+++ 	(revision )
@@ -1,160 +1,0 @@
-<?php
-/// FIXME: Tests not implemented.
-return;
-
-/**
- * PHPUnit test case for NodeHeirarchy
- *
- * The method skeletons below need to be filled in with
- * real data so that the tests will run correctly. Replace
- * all EXPECTED_VAL and PARAM strings with real data.
- *
- * Created with PHPUnit_Skeleton on 2005-08-09
- */
-require_once 'PHPUnit.php';
-class NodeHeirarchyTest extends PHPUnit_TestCase {
-
-    var $NodeHeirarchy;
-
-    function NodeHeirarchyTest($name)
-    {
-        $this->PHPUnit_TestCase($name);
-    }
-
-    function setUp()
-    {
-        require dirname(__FILE__) . '/_config.inc.php';
-        require_once '../lib/NodeHeirarchy.inc.php';
-        $this->NodeHeirarchy =& new NodeHeirarchy(PARAM);
-    }
-
-    function tearDown()
-    {
-        unset($this->NodeHeirarchy);
-    }
-
-    function test_currentnode()
-    {
-        $result = $this->NodeHeirarchy->currentnode(PARAM);
-        $expected = EXPECTED_VAL;
-        $this->assertEquals($expected, $result);
-    }
-
-    function test_tostringid()
-    {
-        $result = $this->NodeHeirarchy->tostringid(PARAM);
-        $expected = EXPECTED_VAL;
-        $this->assertEquals($expected, $result);
-    }
-
-    function test_toarrayid()
-    {
-        $result = $this->NodeHeirarchy->toarrayid(PARAM);
-        $expected = EXPECTED_VAL;
-        $this->assertEquals($expected, $result);
-    }
-
-    function test_insertnode()
-    {
-        $result = $this->NodeHeirarchy->insertnode(PARAM);
-        $expected = EXPECTED_VAL;
-        $this->assertEquals($expected, $result);
-    }
-
-    function test_deletenode()
-    {
-        $result = $this->NodeHeirarchy->deletenode(PARAM);
-        $expected = EXPECTED_VAL;
-        $this->assertEquals($expected, $result);
-    }
-
-    function test_movenode()
-    {
-        $result = $this->NodeHeirarchy->movenode(PARAM);
-        $expected = EXPECTED_VAL;
-        $this->assertEquals($expected, $result);
-    }
-
-    function test_getparents()
-    {
-        $result = $this->NodeHeirarchy->getparents(PARAM);
-        $expected = EXPECTED_VAL;
-        $this->assertEquals($expected, $result);
-    }
-
-    function test_getnode()
-    {
-        $result = $this->NodeHeirarchy->getnode(PARAM);
-        $expected = EXPECTED_VAL;
-        $this->assertEquals($expected, $result);
-    }
-
-    function test_getchildren()
-    {
-        $result = $this->NodeHeirarchy->getchildren(PARAM);
-        $expected = EXPECTED_VAL;
-        $this->assertEquals($expected, $result);
-    }
-
-    function test_getnumberchildren()
-    {
-        $result = $this->NodeHeirarchy->getnumberchildren(PARAM);
-        $expected = EXPECTED_VAL;
-        $this->assertEquals($expected, $result);
-    }
-
-    function test_isleaf()
-    {
-        $result = $this->NodeHeirarchy->isleaf(PARAM);
-        $expected = EXPECTED_VAL;
-        $this->assertEquals($expected, $result);
-    }
-
-    function test_isancestor()
-    {
-        $result = $this->NodeHeirarchy->isancestor(PARAM);
-        $expected = EXPECTED_VAL;
-        $this->assertEquals($expected, $result);
-    }
-
-    function test_getallancestors()
-    {
-        $result = $this->NodeHeirarchy->getallancestors(PARAM);
-        $expected = EXPECTED_VAL;
-        $this->assertEquals($expected, $result);
-    }
-
-    function test_nodeexists()
-    {
-        $result = $this->NodeHeirarchy->nodeexists(PARAM);
-        $expected = EXPECTED_VAL;
-        $this->assertEquals($expected, $result);
-    }
-
-    function test_getnodelist()
-    {
-        $result = $this->NodeHeirarchy->getnodelist(PARAM);
-        $expected = EXPECTED_VAL;
-        $this->assertEquals($expected, $result);
-    }
-
-    function test_rebuildsubnodeqty()
-    {
-        $result = $this->NodeHeirarchy->rebuildsubnodeqty(PARAM);
-        $expected = EXPECTED_VAL;
-        $this->assertEquals($expected, $result);
-    }
-
-    function test_setsubnodeqtytoparents()
-    {
-        $result = $this->NodeHeirarchy->setsubnodeqtytoparents(PARAM);
-        $expected = EXPECTED_VAL;
-        $this->assertEquals($expected, $result);
-    }
-
-}
-// Running the test.
-$suite = new PHPUnit_TestSuite('NodeHeirarchyTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>