Index: trunk/css/admin.inc.css
===================================================================
--- trunk/css/admin.inc.css	(revision 97)
+++ trunk/css/admin.inc.css	(revision 98)
@@ -7,6 +7,5 @@
 
 /*_____________________ GLOBAL ____________________*/
-body
-{
+body {
     background: #fff;
     margin: 0;
@@ -16,27 +15,8 @@
 }
 
-a:link
-{
-    color: #336;
-    text-decoration: underline;
-}
-
-a:visited
-{
-    color: #336;
-    text-decoration: underline;
-}
-
-a:hover
-{
-    color: #C30;
-    text-decoration: none;
-}
-
-a:active
-{
-    color: #336;
-    text-decoration: none;
-}
+a:link,
+a:visited { color: #336; text-decoration: underline; }
+a:hover   { color: #C30; text-decoration: none; }
+a:active  { color: #336; }
 
 /*_____________________ MISC ____________________*/
@@ -45,33 +25,17 @@
 
 /* Why does having a form change the presentation of the page? Don't do that. */
-form
-{
-    margin: 0;
-}
-
-form label
-{
+form { margin: 0; }
+
+form label {
     font-size: 70%;
     max-width: 25em;
     font-weight: bold;
-    /* BEAU: I added class="right" to the <TD> to make them align right as they were before. Do you know a better way? */
-    /*float: right;*/
-}
-
-.help
-{
-    font-size: 70%;
-}
-
-.commandtext
-{
-    font-size: 70%;
-}
-
-
+}
+
+.help,
+.commandtext { font-size: 70%; }
 
 /*_____________________ HEADER ____________________*/
-#userinfo
-{
+#userinfo {
     width: 98%;
     margin: 10px auto 2px;
@@ -81,6 +45,5 @@
 }
 
-#userinfo p
-{
+#userinfo p {
     margin: 0;
     padding: 0;
@@ -88,6 +51,5 @@
 }
 
-#container
-{
+#container {
     width: 98%;
     margin: 0 auto 10px;
@@ -96,6 +58,5 @@
 }
 
-#top
-{
+#top {
     border-bottom: 1px solid gray;
     background-color: #CCC;
@@ -103,6 +64,5 @@
 }
 
-#top h1
-{
+#top h1 {
     margin: 0;
     padding: 0;
@@ -112,6 +72,5 @@
 
 /*_____________________ NAVIGATION ____________________*/
-#leftnav
-{
+#leftnav {
     float: left;
     width: 9em;
@@ -122,6 +81,5 @@
 }
 
-#leftnav ul
-{
+#leftnav ul {
     padding: 0;
     margin: 0;
@@ -129,6 +87,5 @@
 }
 
-#leftnav #navlist li
-{
+#leftnav #navlist li {
     list-style: none;
     margin: 0;
@@ -139,12 +96,10 @@
 }
 
-#leftnav #navlist li a
-{
+#leftnav #navlist li a {
     text-decoration: none;
     padding: 1px;
 }
 
-#leftnav #navlist li.label
-{
+#leftnav #navlist li.label {
     color: #999;
 	padding-top: 10px;
@@ -153,22 +108,18 @@
 }
 
-#leftnav #navlist li a:link, #navlist li a:visited
-{
+#leftnav #navlist li a:link, #navlist li a:visited {
     color: #336;
 }
 
-#leftnav #navlist li a:hover, #navlist li a:active
-{
+#leftnav #navlist li a:hover, #navlist li a:active {
     color: #C00;
 }
 
-#leftnav a.addlink
-{
+#leftnav a.addlink {
     margin-left: 0.5em;
 }
 
 /*_____________________ CONTENT ____________________*/
-#content
-{
+#content {
     margin-left: 9em;
     border-left: 1px solid gray;
@@ -177,35 +128,28 @@
 }
 
-#content h2
-{
+#content h2 {
     font-size: 100%;
     margin: 0 0 .5em 0;
 }
 
-#content h3
-{
+#content h3 {
     font-size: 85%;
     margin: 0 0 .5em 0;
 }
 
-#content h4
-{
-    font-size: 70%;
-    margin: 0 0 .5em 0;
-}
-
-#content p
-{
-    margin: 0 0 .5em 0;
-    font-size: 70%;
-    /*     max-width: 36em; */
+#content h4 {
+    font-size: 70%;
+    margin: 0 0 .5em 0;
+}
+
+#content p {
+    margin: 0 0 .5em 0;
+    font-size: 70%;
     line-height: 130%;
 }
 
-#content li
-{
+#content li {
     margin: 0 0 0 0;
     font-size: 70%;
-    /*     max-width: 36em; */
     line-height: 100%;
 }
@@ -213,6 +157,5 @@
 /*_____________________ TABLES ____________________*/
 /* BEAU: I copied this from NEXT. Please help! */
-table
-{
+table {
 	border-size: 1px;
 	border-collapse: collapse;
@@ -220,6 +163,5 @@
 }
 
-th
-{
+th {
 	padding: 2px;
 	text-align: left;
@@ -228,12 +170,10 @@
 }
 
-td
-{
+td {
 	vertical-align: top;
 	padding: 8px 6px 0 0;
 }
 
-table.list
-{
+table.list {
 	border-size: 1px;
 	width: 100%;
@@ -241,6 +181,5 @@
 }
 
-table.list th
-{
+table.list th {
 	padding-right: 6px;
 	font-size: 70%;
@@ -249,6 +188,5 @@
 }
 
-table.list td
-{
+table.list td {
 	font-size: 70%;
 	padding: 2px;
@@ -257,11 +195,9 @@
 
 /* BEAU: The old stuff that was here...
-#content table
-{
+#content table {
          background-color: #FFF; 
 }
 
-#content th
-{
+#content th {
     padding: 2px;
     text-align: left;
@@ -270,11 +206,9 @@
 }
 
-#content td
-{
+#content td {
     vertical-align: top;
 }
 
-#content table.list
-{
+#content table.list {
     width: 99%;
     margin: 4px 0;
@@ -282,6 +216,5 @@
 }
 
-#content table.list th
-{
+#content table.list th {
     padding-right: 6px;
     font-size: 70%;
@@ -290,6 +223,5 @@
 }
 
-#content table.list td
-{
+#content table.list td {
     font-size: 70%;
     padding: 2px;
@@ -298,6 +230,5 @@
 */
 /*_____________________ FOOTER ____________________*/
-#footer
-{
+#footer {
     clear: both;
     margin: 0;
@@ -311,6 +242,5 @@
 
 #footer a:link, 
-#footer a:visited
-{
+#footer a:visited {
     color: #333;
     text-decoration: none;
@@ -318,6 +248,5 @@
 
 #footer a:active, 
-#footer a:hover
-{
+#footer a:hover {
     color: #333;
     text-decoration: underline;
Index: trunk/css/codebase.inc.css
===================================================================
--- trunk/css/codebase.inc.css	(revision 97)
+++ trunk/css/codebase.inc.css	(revision 98)
@@ -9,46 +9,41 @@
  */
 
+/*_____________________ SC Messaging ____________________*/
+.sc-msg { font-family: verdana,geneva,arial,sans-serif; }
 
-/*_____________________ MESSAGING SYSTEM ____________________*/
-.codebasemsg
-{
-	font-family: verdana,geneva,arial,sans-serif;
-}
-
-.success, .notice, .warning, .error
-{
+.sc-msg-warning
+.sc-msg-error
+.sc-msg-success
+.sc-msg-notice {
 	margin: 0 0 6px 0;
 	padding: 5px;
 	background: #fff;
-	border: 1px solid white;
+	color: #f00;
+	border: 1px solid #f00;
+}
+.sc-msg-success { color: #090; border-color: #090; }
+.sc-msg-notice { color: #C60; border-color: #C60; }
+
+/*_____________________ pEdit Forms ____________________*/
+
+.sc-pedit-form {}
+
+.sc-pedit-item,
+.sc-pedit-buttons { margin: .75em 0; }
+
+#sc-pedit-versions-table {
+    margin-bottom: .75em;
+    border-collapse: collapse;
+    border-spacing: 0;
 }
 
-.success
-{
-	color: #090;
-	border-color: #090;
+#sc-pedit-versions-table th, 
+#sc-pedit-versions-table td {
+    border-bottom: 1px solid #CC9;
+    margin: 0;
+    padding: 2px 10px;
+    vertical-align: baseline;
 }
-
-.notice
-{
-	color: #C60;
-	border-color: #C60;
+#sc-pedit-versions-table th {
+    white-space: nowrap;
 }
-
-.warning, .error
-{
-	color: #f00;
-	border-color: #f00;
-}
-/* BEAU: How about a seperate class for the $fv->err() function to print? 
-At the moment it uses the above error definition, but we could use a "form error {" one too. */
-
-
-/*_____________________ pEdit Forms ____________________*/
-#sc-pedit-form input[type="text"], textarea {
-    width: 100%;
-}
-#sc-pedit-form textarea {
-    height: 30em;
-}
-
Index: trunk/css/utilities.inc.css
===================================================================
--- trunk/css/utilities.inc.css	(revision 97)
+++ trunk/css/utilities.inc.css	(revision 98)
@@ -9,194 +9,38 @@
  */
 
-/* BEAU: I format my CSS using BBEdit's Markup->CSS->Format command. Would you like to use that as well so our code looks consistant? */
 /*_____________________ FORMS ____________________*/
-
-/* BEAU: Had to comment-out all generic definitions... They fucked golbon. I guess the only things to have that are safe are custom class identifiers. Maybe we should standardize on classes we define in the codebase so they never conflict with other people's css, like: codebase_small, or cb_small? */
-/*
-input, select, submit
-{
-	color: #000;
-	margin: 0 0.5em 0 0;
-	padding: 0;
-}
-
-submit
-{
-	font-weight: bold;
-	margin: 0.5em;
-}
-*/
-
-/*
-form table select, form table input
-{
-	margin-top: 0;
-}
-*/
-
-/* 
-BEAU: I want more text box widths! I find need for boxes that fit 5em, 10em, 20em, and 40em widths. These should be in EMs so text can resize and still fit. Since it is useful to apply a width to other form elements to have them similar sizes (not always a text box, such as <select multiple>) I propose renaming them to "input.tiny", "input.small", "input.medium", "input.large", and "input.half" (not sure how you would do "half" in EMs however. DONE.
-*/
 
 input.tiny, textarea.tiny, select.tiny,
 input.small, textarea.small, select.small,
 input.medium, textarea.medium, select.medium,
-input.large, textarea.large, select.large
-{
-	margin: 0 0.5em 0 0;
-}
+input.large, textarea.large, select.large       { margin: 0 0.5em 0 0; }
 
-input.tiny, textarea.tiny, select.tiny
-{
-	width: 4.75em;
-}
+input.tiny, textarea.tiny, select.tiny          { width: 4.75em; }
+input.small, textarea.small, select.small       { width: 10em; }
+input.medium, textarea.medium, select.medium    { width: 20.5em; }
+input.large, textarea.large, select.large       { width: 41.5em; }
+input.full, textarea.full, select.full          { width: 100%; }
+select.small                                    { width: 10em; }
+select.medium                                   { width: 20.5em; }
 
-input.small, textarea.small, select.small
-{
-	width: 10em;
-}
-
-input.medium, textarea.medium, select.medium
-{
-	width: 20.5em;
-}
-
-input.large, textarea.large, select.large
-{
-	width: 41.5em;
-}
-
-textarea.twolines, select.twolines
-{
-	height: 3em;
-}
-
-textarea.short, select.short
-{
-	height: 8em;
-}
-
-textarea.tall, select.tall
-{
-	height: 25em;
-}
-
-textarea.fullscreen, select.fullscreen
-{
-	height: 40em;
-}
-
-/* BEAU: Should be in EMs? Also, sometimes it is nice to have the select menu be only the width as its contents. How to override this? */
-select.small
-{
-	width: 10em;
-}
-
-select.medium
-{
-	width: 20.5em;
-}
-
-/*
-form label
-{
-	padding: 7px 0px 0px 0px;
-	font-weight: bold;
-}
-*/
-
-/* BEAU: We need a .formtext substitute...something like a label tag but not bold! Maybe use "form p { }"? */
-
+textarea.twolines, select.twolines              { height: 3em; }
+textarea.short, select.short                    { height: 8em; }
+textarea.tall, select.tall                      { height: 25em; }
+textarea.fullscreen, select.fullscreen          { height: 40em; }
 
 /*_____________________ COMMANDS ____________________*/
 
-/* Should this be an ID??? */
-#commandbox
-{
-	padding: 5px;
-	margin: 0 0 .5em 0;
-	border: black 1px dotted;
-	background-color: #DDD;
-}
-
-.commanditem
-{
-	margin: 0 10px 0 0;
-	white-space: nowrap;
-}
-
-.commandtext
-{
-	padding-right: 1em;
-}
-
-.command_left
-{
-	float: left;
-	white-space: nowrap;
-}
-
-.command_right
-{
-	position: relative;
-	visibility: visible;
-	white-space: nowrap;
-	float: right;
-}
-
 /*_____________________ UTILITIES ____________________*/
-.nowrap
-{
-	white-space: nowrap;
-}
-
-.clearboth
-{
-	clear: both;
-}
-
-.center
-{
-	text-align: center;
-}
-
-.right
-{
-	text-align: right;
-}
-
-.padright
-{
-	padding: 0 10px 0 0;
-}
-
-.padleft
-{
-	padding: 0 0 0 10px;
-}
-
-.help
-{
-	color: #666;
-	font-weight: normal;
-}
-
-.monospaced
-{
-	font-family: monaco, courier;
-	font-weight: normal;
-}
+.nowrap { white-space: nowrap; }
+.clearboth { clear: both; }
+.center { text-align: center; }
+.right { text-align: right; }
+.padright { padding: 0 10px 0 0; }
+.padleft { padding: 0 0 0 10px; }
+.help { color: #999; font-weight: normal; }
+.monospaced { font-family: monaco, courier; font-weight: normal; }
 
 /* .pkg class wraps enclosing block element around inner floated elements */
-.pkg:after
-{
-	content: " ";
-	display: block;
-	visibility: hidden;
-	clear: both;
-	height: 0.1px;
-	font-size: 0.1em;
-	line-height: 0.0;
-}
+.pkg:after { content: " "; display: block; visibility: hidden; clear: both; height: 0.1px; font-size: 0.1em; line-height: 0.0; }
 * html .pkg { display: block; }
 /* no ie mac \*/
Index: trunk/lib/PEdit.inc.php
===================================================================
--- trunk/lib/PEdit.inc.php	(revision 97)
+++ trunk/lib/PEdit.inc.php	(revision 98)
@@ -211,23 +211,23 @@
             return false;
         }
-        ?>        
-        <form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" id="sc-pedit-form">
-        <input type="hidden" name="filename" value="<?php echo $_SERVER['PHP_SELF']; ?>" />
-        <input type="hidden" name="file_hash" value="<?php echo $this->_fileHash(); ?>" />
-        <?php
+?>        
+<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" id="sc-pedit-form">
+    <input type="hidden" name="filename" value="<?php echo $_SERVER['PHP_SELF']; ?>" />
+    <input type="hidden" name="file_hash" value="<?php echo $this->_fileHash(); ?>" />
+<?php
         App::printHiddenSession();
         switch ($this->op) {
         case 'Edit' :
-            ?>
-            <div class="sc-pedit-buttons">
-                <input type="submit" name="op" value="<?php echo _("Save"); ?>" />
-                <input type="submit" name="op" value="<?php echo _("Cancel"); ?>" />
-            </div>
-            <?php
+?>
+    <div class="sc-pedit-buttons">
+        <input type="submit" name="op" value="<?php echo _("Save"); ?>" title="<?php echo preg_replace('/^(\w)/i', '($1)', _("Search"))?>" accesskey="<?php echo substr(_("Save"), 0, 1) ?>" />
+        <input type="submit" name="op" value="<?php echo _("Cancel"); ?>" title="<?php echo preg_replace('/^(\w)/i', '($1)', _("Cancel"))?>" accesskey="<?php echo substr(_("Cancel"), 0, 1) ?>" />
+    </div>
+<?php
             break;
         case 'View' :
-            ?>
-            <input type="hidden" name="version" value="<?php echo getFormData('version'); ?>" />
-            <?php
+?>
+    <input type="hidden" name="version" value="<?php echo getFormData('version'); ?>" />
+<?php
             break;
         }
@@ -259,5 +259,8 @@
     function printForm($name, $type='text')
     {
-        if ($this->_authorized && $this->op == 'Edit' && $this->_data_loaded) {
+        if ($this->_authorized && $this->op == 'Edit' && $this->_data_loaded) {        
+?>
+    <div class="sc-pedit-item">
+<?php
             $type = (isset($this->_data[$name]['type'])) ? $this->_data[$name]['type'] : $type;
             // Print edit form.
@@ -265,10 +268,19 @@
             case 'text' :
             default :
-                ?><br /><label><?php echo ucfirst(str_replace('_', ' ', $name)); ?> <input type="text" name="_pedit_data[<?php echo $name; ?>]" id="sc-pedit-<?php echo $name; ?>" value="<?php echo oTxt($this->_data[$name]['content']); ?>" /></label><?php
+?>
+        <label><?php echo ucfirst(str_replace('_', ' ', $name)); ?></label>
+        <input type="text" name="_pedit_data[<?php echo $name; ?>]" id="sc-pedit-<?php echo $name; ?>" value="<?php echo oTxt($this->_data[$name]['content']); ?>" class="full" />
+<?php
                 break;
             case 'textarea' :
-                ?><br /><label><?php echo ucfirst(str_replace('_', ' ', $name)); ?> <textarea name="_pedit_data[<?php echo $name; ?>]" id="sc-pedit-<?php echo $name; ?>"><?php echo oTxt($this->_data[$name]['content']); ?></textarea></label><?php
+?>
+        <label><?php echo ucfirst(str_replace('_', ' ', $name)); ?></label>
+        <textarea name="_pedit_data[<?php echo $name; ?>]" id="sc-pedit-<?php echo $name; ?>" rows="" cols="" class="full tall"><?php echo oTxt($this->_data[$name]['content']); ?></textarea>
+<?php
                 break;
             }
+?>
+    </div>
+<?php
         }
     }
@@ -288,36 +300,38 @@
         switch ($this->op) {
         case 'Edit' :
-            ?>
-            <div class="sc-pedit-buttons">
-                <input type="submit" name="op" value="<?php echo _("Save"); ?>" />
-                <input type="submit" name="op" value="<?php echo _("Cancel"); ?>" />
-            </div>
-            </form>
-            <?php
+?>
+    <div class="sc-pedit-buttons">
+        <input type="submit" name="op" value="<?php echo _("Save"); ?>" title="<?php echo preg_replace('/^(\w)/i', '($1)', _("Save"))?>" accesskey="<?php echo substr(_("Save"), 0, 1) ?>" />
+        <input type="submit" name="op" value="<?php echo _("Cancel"); ?>" title="<?php echo preg_replace('/^(\w)/i', '($1)', _("Cancel"))?>" accesskey="<?php echo substr(_("Cancel"), 0, 1) ?>" />
+    </div>
+</form>
+<?php
             break;
         case 'Versions' :
-            ?>
-            <div class="sc-pedit-buttons">
-                <input type="submit" name="op" value="<?php echo _("Cancel"); ?>" />
-            </div>
-            </form>
-            <?php
+?>
+    <div class="sc-pedit-buttons">
+        <input type="submit" name="op" value="<?php echo _("Cancel"); ?>" title="<?php echo preg_replace('/^(\w)/i', '($1)', _("Cancel"))?>" accesskey="<?php echo substr(_("Cancel"), 0, 1) ?>" />
+    </div>
+</form>
+<?php
             break;
         case 'View' :
-            ?>
-            <div class="sc-pedit-buttons">
-                <input type="submit" name="op" value="<?php echo _("Restore"); ?>" />
-                <input type="submit" name="op" value="<?php echo _("Cancel"); ?>" />
-            </div>
-            <?php
+?>
+    <div class="sc-pedit-buttons">
+        <input type="submit" name="op" value="<?php echo _("Restore"); ?>" title="<?php echo preg_replace('/^(\w)/i', '($1)', _("Restore"))?>" accesskey="<?php echo substr(_("Restore"), 0, 1) ?>" />
+        <input type="submit" name="op" value="<?php echo _("Versions"); ?>" title="<?php echo preg_replace('/^(\w)/i', '($1)', _("Cancel"))?>" accesskey="<?php echo substr(_("Versions"), 0, 1) ?>" />
+        <input type="submit" name="op" value="<?php echo _("Cancel"); ?>" title="<?php echo preg_replace('/^(\w)/i', '($1)', _("Cancel"))?>" accesskey="<?php echo substr(_("Cancel"), 0, 1) ?>" />
+    </div>
+</form>
+<?php
             break;
         default :
-            ?>
-            <div class="sc-pedit-buttons">
-                <input type="submit" name="op" value="<?php echo _("Edit"); ?>" />
-                <input type="submit" name="op" value="<?php echo _("Versions"); ?>" />
-            </div>
-            </form>
-            <?php
+?>
+    <div class="sc-pedit-buttons">
+        <input type="submit" name="op" value="<?php echo _("Edit"); ?>" title="<?php echo preg_replace('/^(\w)/i', '($1)', _("Edit"))?>" accesskey="<?php echo substr(_("Edit"), 0, 1) ?>" />
+        <input type="submit" name="op" value="<?php echo _("Versions"); ?>" title="<?php echo preg_replace('/^(\w)/i', '($1)', _("Cancel"))?>" accesskey="<?php echo substr(_("Versions"), 0, 1) ?>" />
+    </div>
+</form>
+<?php
         }
     }
@@ -334,19 +348,31 @@
             // Print versions and commands to view/restore.
             $version_files = $this->_getVersions();
-            ?><h1><?php printf(_("%s saved versions of %s"), sizeof($version_files), basename($_SERVER['PHP_SELF'])); ?></h1><?php
+?>
+    <h1><?php printf(_("%s saved versions of %s"), sizeof($version_files), basename($_SERVER['PHP_SELF'])); ?></h1>
+<?php
             if (is_array($version_files) && !empty($version_files)) {
-                ?><table id="sc-pedit-versions"><?php
+?>
+    <table id="sc-pedit-versions-table">
+        <tr>
+            <th><?php echo _("Date"); ?></th>
+            <th><?php echo _("Time"); ?></th>
+            <th><?php echo _("File Size"); ?></th>
+            <th><?php echo _("Version Options"); ?></th>
+        </tr>
+<?php
                 foreach ($version_files as $v) {
-                    ?>
-                    <tr>
-                        <td><?php echo date('r', $v['unixtime']); ?></td>
-                        <td><?php printf(_("%s bytes"), $v['filesize']); ?></td>
-                        <td><a href="<?php echo App::oHREF($_SERVER['PHP_SELF'] . '?op=View&version=' . $v['unixtime'] . '&file_hash=' . $this->_fileHash()); ?>"><?php echo _("View"); ?></a></td>
-                        <td><a href="<?php echo App::oHREF($_SERVER['PHP_SELF'] . '?op=Restore&version=' . $v['unixtime'] . '&file_hash=' . $this->_fileHash()); ?>"><?php echo _("Restore"); ?></a></td>
-                    </tr>
-                    <?php
+?>
+        <tr>
+            <td><?php echo date('F j, Y', $v['unixtime']); ?></td>
+            <td><?php echo date('h:i:s A', $v['unixtime']); ?></td>
+            <td><?php printf(_("%s bytes"), $v['filesize']); ?></td>
+            <td class="nowrap"><a href="<?php echo App::oHREF($_SERVER['PHP_SELF'] . '?op=View&version=' . $v['unixtime'] . '&file_hash=' . $this->_fileHash()); ?>"><?php echo _("View"); ?></a> or <a href="<?php echo App::oHREF($_SERVER['PHP_SELF'] . '?op=Restore&version=' . $v['unixtime'] . '&file_hash=' . $this->_fileHash()); ?>"><?php echo _("Restore"); ?></a></td>
+        </tr>
+<?php
                 }
-                ?></table><?php
-            ?><div class="help"><?php printf(_("When there are more than %s versions, those over %s days old are deleted."), $this->getParam('versions_min_qty'), $this->getParam('versions_min_qty')); ?></div><?php
+?>
+    </table>
+    <div class="help"><?php printf(_("When there are more than %s versions, those over %s days old are deleted."), $this->getParam('versions_min_qty'), $this->getParam('versions_min_qty')); ?></div>
+<?php
             }
         }