Index: trunk/bin/module_maker/form_template.cli.php
===================================================================
--- trunk/bin/module_maker/form_template.cli.php	(revision 104)
+++ trunk/bin/module_maker/form_template.cli.php	(revision 106)
@@ -63,5 +63,5 @@
             $output[$field] = <<<E_O_F
 
-<label for="$field"<\x3fphp \$fv->err('$field', ' class="error"') \x3f>><\x3fphp echo _("$title"); \x3f></label>
+<label for="$field"<\x3fphp \$fv->err('$field') \x3f>><\x3fphp echo _("$title"); \x3f></label>
 <select name="$field" id="$field" class="small"><\x3fphp printSelectForm('<##>_tbl', "CONCAT(<##>_id, '&mdash;', <##>)", '$field', \$frm['$field'], true, 'ORDER BY $field ASC'); \x3f></select>
     <span class="commanditem commandtext"><a href="<\x3fphp echo App::oHREF('<##>.php?op=add&boomerang=true'); \x3f>" onClick="javascript:return confirm('<\x3fphp echo _("Notice: You are about to leave this form page and any changes you may have made without saving will be lost."); \x3f>')"><\x3fphp echo _("Add <##>") \x3f></a></span>
@@ -77,5 +77,5 @@
             $output[$field] = <<<E_O_F
 
-<label for="$field"<\x3fphp \$fv->err('$field', ' class="error"') \x3f>><\x3fphp echo _("$title"); \x3f></label>
+<label for="$field"<\x3fphp \$fv->err('$field') \x3f>><\x3fphp echo _("$title"); \x3f></label>
 <input type="file" name="$field" id="$field" />
     <\x3fphp if ('' != \$upload->getFilenameGlob(getFormData('$primary_key') . '_*') && getFormData('op') == 'edit' || getFormData('op') == 'update') { \x3f>
@@ -91,5 +91,5 @@
             $output[$field] = <<<E_O_F
 
-<label for="$field"<\x3fphp \$fv->err('$field', ' class="error"') \x3f>><\x3fphp echo _("$title"); \x3f></label>
+<label for="$field"<\x3fphp \$fv->err('$field') \x3f>><\x3fphp echo _("$title"); \x3f></label>
 <input type="password" class="medium" size="50" name="$field" id="$field" value="<\x3fphp echo oTxt(\$frm['$field']); \x3f>" />
 E_O_F;
@@ -103,5 +103,5 @@
             $output[$field] = <<<E_O_F
 
-<label for="$field"<\x3fphp \$fv->err('$field', ' class="error"') \x3f>><\x3fphp echo _("$title"); \x3f></label>
+<label for="$field"<\x3fphp \$fv->err('$field') \x3f>><\x3fphp echo _("$title"); \x3f></label>
 <select name="$field" id="$field"><\x3fphp printSetSelectForm('$db_tbl', '$field', \$frm['$field'], true); \x3f></select>
 E_O_F;
@@ -112,5 +112,5 @@
             $output[$field] = <<<E_O_F
 
-<label for="$field"<\x3fphp \$fv->err('$field', ' class="error"') \x3f>><\x3fphp echo _("$title"); \x3f></label>
+<label for="$field"<\x3fphp \$fv->err('$field') \x3f>><\x3fphp echo _("$title"); \x3f></label>
 <\x3fphp printSetCheckboxes('$db_tbl', '$field', \$frm['$field'], 1) \x3f>
 E_O_F;
@@ -121,5 +121,5 @@
             $output[$field] = <<<E_O_F
 
-<label for="$field"<\x3fphp \$fv->err('$field', ' class="error"') \x3f>><\x3fphp echo _("$title"); \x3f></label>
+<label for="$field"<\x3fphp \$fv->err('$field') \x3f>><\x3fphp echo _("$title"); \x3f></label>
 <input type="checkbox" name="$field" id="$field" <\x3fphp frmChecked(!empty(\$frm['$field'])) \x3f> /><label class="left"><\x3fphp echo _("Check this box to $title"); \x3f></label>
 E_O_F;
@@ -132,5 +132,5 @@
             $output[$field] = <<<E_O_F
 
-<label for="$field"<\x3fphp \$fv->err('$field', ' class="error"') \x3f>><\x3fphp echo _("$title"); \x3f></label>
+<label for="$field"<\x3fphp \$fv->err('$field') \x3f>><\x3fphp echo _("$title"); \x3f></label>
 <textarea class="large short" cols="75" rows="4" name="$field" id="$field"><\x3fphp echo oTxt(\$frm['$field']); \x3f></textarea>
 E_O_F;
@@ -144,5 +144,5 @@
             $output[$field] = <<<E_O_F
 
-<label for="$field"<\x3fphp \$fv->err('$field', ' class="error"') \x3f>><\x3fphp echo _("$title"); \x3f></label>
+<label for="$field"<\x3fphp \$fv->err('$field') \x3f>><\x3fphp echo _("$title"); \x3f></label>
 <textarea class="large tall" cols="75" rows="4" name="$field" id="$field"><\x3fphp echo oTxt(\$frm['$field']); \x3f></textarea>
 E_O_F;
@@ -170,5 +170,5 @@
             $output[$field] = <<<E_O_F
 
-<label for="$field"<\x3fphp \$fv->err('$field', ' class="error"') \x3f>><\x3fphp echo _("$title"); \x3f></label>
+<label for="$field"<\x3fphp \$fv->err('$field') \x3f>><\x3fphp echo _("$title"); \x3f></label>
 <input type="text" class="tiny" size="12" name="$field" id="$field" value="<\x3fphp echo oTxt(\$frm['$field']); \x3f>" />
 E_O_F;
@@ -184,5 +184,5 @@
             $output[$field] = <<<E_O_F
 
-<label for="$field"<\x3fphp \$fv->err('$field', ' class="error"') \x3f>><\x3fphp echo _("$title"); \x3f></label>
+<label for="$field"<\x3fphp \$fv->err('$field') \x3f>><\x3fphp echo _("$title"); \x3f></label>
 <input type="text" class="medium" size="25" name="$field" id="$field" value="<\x3fphp echo oTxt(\$frm['$field']); \x3f>" />
 E_O_F;
@@ -197,5 +197,5 @@
             $output[$field] = <<<E_O_F
 
-<label for="$field"<\x3fphp \$fv->err('$field', ' class="error"') \x3f>><\x3fphp echo _("$title"); \x3f></label>
+<label for="$field"<\x3fphp \$fv->err('$field') \x3f>><\x3fphp echo _("$title"); \x3f></label>
 <input type="text" class="medium" size="50" name="$field" id="$field" value="<\x3fphp echo oTxt(\$frm['$field']); \x3f>" />
 E_O_F;
Index: trunk/css/admin.inc.css
===================================================================
--- trunk/css/admin.inc.css	(revision 104)
+++ trunk/css/admin.inc.css	(revision 106)
@@ -229,4 +229,43 @@
 }
 */
+
+/*_____________________ COMMANDS ____________________*/
+
+/* Should this be an ID??? */
+#commandbox
+{
+	padding: 5px;
+	margin: 0 0 .5em 0;
+	border: black 1px dotted;
+	background-color: #DDD;
+	color: inherit;
+}
+
+.commanditem
+{
+	margin: 0 10px 0 0;
+	white-space: nowrap;
+}
+
+.commandtext
+{
+	padding-right: 1em;
+}
+
+.command_left
+{
+	float: left;
+	white-space: nowrap;
+}
+
+.command_right
+{
+	position: relative;
+	visibility: visible;
+	white-space: nowrap;
+	float: right;
+}
+
+
 /*_____________________ FOOTER ____________________*/
 #footer {
Index: trunk/css/codebase.inc.css
===================================================================
--- trunk/css/codebase.inc.css	(revision 104)
+++ trunk/css/codebase.inc.css	(revision 106)
@@ -12,8 +12,4 @@
 .sc-msg { font-family: verdana,geneva,arial,sans-serif; }
 
-.warning,
-.error,
-.success,
-.notice,
 .sc-msg-warning,
 .sc-msg-error,
@@ -26,10 +22,8 @@
 	border: 1px solid #f00;
 }
-.success,
 .sc-msg-success { color: #090; border-color: #090; }
-.notice,
 .sc-msg-notice { color: #C60; border-color: #C60; }
 
-/*_____________________ pEdit Forms ____________________*/
+/*_____________________ PEdit Forms ____________________*/
 
 .sc-pedit-form {}
Index: trunk/css/utilities.inc.css
===================================================================
--- trunk/css/utilities.inc.css	(revision 104)
+++ trunk/css/utilities.inc.css	(revision 106)
@@ -29,6 +29,4 @@
 textarea.fullscreen, select.fullscreen          { height: 40em; }
 
-/*_____________________ COMMANDS ____________________*/
-
 /*_____________________ UTILITIES ____________________*/
 .nowrap { white-space: nowrap; }
Index: trunk/lib/App.inc.php
===================================================================
--- trunk/lib/App.inc.php	(revision 104)
+++ trunk/lib/App.inc.php	(revision 106)
@@ -7,5 +7,5 @@
  *
  * @author  Quinn Comendant <quinn@strangecode.com>
- * @version 1.0
+ * @version 2.0
  */
 
@@ -451,5 +451,5 @@
 
         while (isset($_SESSION[$this->app]['messages']) && $message = array_shift($_SESSION[$this->app]['messages'])) {
-            ?><div class="codebasemsg"><?php
+            ?><div class="sc-msg"><?php
             if (error_reporting() > 0 && $this->getParam('display_errors')) {
                 echo "\n<!-- [" . $message['file'] . ' : ' . $message['line'] . '] -->';
@@ -457,18 +457,18 @@
             switch ($message['type']) {
             case MSG_ERR:
-                echo '<div class="error">' . $message['message'] . '</div>';
+                echo '<div class="sc-msg-error">' . $message['message'] . '</div>';
                 break;
 
             case MSG_WARNING:
-                echo '<div class="warning">' . $message['message'] . '</div>';
+                echo '<div class="sc-msg-warning">' . $message['message'] . '</div>';
                 break;
 
             case MSG_SUCCESS:
-                echo '<div class="success">' . $message['message'] . '</div>';
+                echo '<div class="sc-msg-success">' . $message['message'] . '</div>';
                 break;
 
             case MSG_NOTICE:
             default:
-                echo '<div class="notice">' . $message['message'] . '</div>';
+                echo '<div class="sc-msg-notice">' . $message['message'] . '</div>';
                 break;
 
Index: trunk/lib/FormValidator.inc.php
===================================================================
--- trunk/lib/FormValidator.inc.php	(revision 104)
+++ trunk/lib/FormValidator.inc.php	(revision 106)
@@ -8,5 +8,5 @@
  *
  * @author    Quinn Comendant <quinn@strangecode.com>
- * @version   1.7
+ * @version   1.8
  *
  * Examples of use:
@@ -30,5 +30,5 @@
     
     // Default error marker;
-    var $marker = ' class="error"';
+    var $marker = ' class="sc-msg-error"';
 
     /**
@@ -104,5 +104,5 @@
     {
         if ($this->anyErrors()) {
-            ?><div class="codebasemsg"><?php
+            ?><div class="sc-msg"><?php
             $errors = $this->getErrorList();
             foreach ($errors as $err) {
@@ -113,18 +113,18 @@
                     switch ($err['type']) {
                     case MSG_ERR:
-                        echo '<div class="error">' . $err['message'] . '</div>';
+                        echo '<div class="sc-msg-error">' . $err['message'] . '</div>';
                         break;
 
                     case MSG_WARNING:
-                        echo '<div class="warning">' . $err['message'] . '</div>';
+                        echo '<div class="sc-msg-warning">' . $err['message'] . '</div>';
                         break;
 
                     case MSG_SUCCESS:
-                        echo '<div class="success">' . $err['message'] . '</div>';
+                        echo '<div class="sc-msg-success">' . $err['message'] . '</div>';
                         break;
 
                     case MSG_NOTICE:
                     default:
-                        echo '<div class="notice">' . $err['message'] . '</div>';
+                        echo '<div class="sc-msg-notice">' . $err['message'] . '</div>';
                         break;
                     }
Index: trunk/lib/Upload.inc.php
===================================================================
--- trunk/lib/Upload.inc.php	(revision 104)
+++ trunk/lib/Upload.inc.php	(revision 106)
@@ -46,180 +46,5 @@
 
     // Array of file name extensions and corresponding mime-types.
-    var $mime_extension_map = array(
-        'ez'      => 'application/andrew-inset',
-        'hqx'     => 'application/mac-binhex40',
-        'cpt'     => 'application/mac-compactpro',
-        'doc'     => 'application/msword',
-        'bin'     => 'application/octet-stream',
-        'class'   => 'application/octet-stream',
-        'dll'     => 'application/octet-stream',
-        'dms'     => 'application/octet-stream',
-        'exe'     => 'application/octet-stream',
-        'lha'     => 'application/octet-stream',
-        'lzh'     => 'application/octet-stream',
-        'so'      => 'application/octet-stream',
-        'oda'     => 'application/oda',
-        'pdf'     => 'application/pdf',
-        'ps'      => 'application/postscript',
-        'eps'     => 'application/postscript',
-        'ai'      => 'application/postscript',
-        'smi'     => 'application/smil',
-        'smil'    => 'application/smil',
-        'mif'     => 'application/vnd.mif',
-        'xls'     => 'application/vnd.ms-excel',
-        'ppt'     => 'application/vnd.ms-powerpoint',
-        'stc'     => 'application/vnd.sun.xml.calc.template',
-        'sxc'     => 'application/vnd.sun.xml.calc',
-        'std'     => 'application/vnd.sun.xml.draw.template',
-        'sxd'     => 'application/vnd.sun.xml.draw',
-        'sti'     => 'application/vnd.sun.xml.impress.template',
-        'sxi'     => 'application/vnd.sun.xml.impress',
-        'sxm'     => 'application/vnd.sun.xml.math',
-        'sxg'     => 'application/vnd.sun.xml.writer.global',
-        'stw'     => 'application/vnd.sun.xml.writer.template',
-        'sxw'     => 'application/vnd.sun.xml.writer',
-        'vsd'     => 'application/vnd.visio',
-        'wbxml'   => 'application/vnd.wap.wbxml',
-        'wmlc'    => 'application/vnd.wap.wmlc',
-        'wmlsc'   => 'application/vnd.wap.wmlscriptc',
-        'bcpio'   => 'application/x-bcpio',
-        'vcd'     => 'application/x-cdlink',
-        'pgn'     => 'application/x-chess-pgn',
-        'Z'       => 'application/x-compress',
-        'cpio'    => 'application/x-cpio',
-        'csh'     => 'application/x-csh',
-        'dcr'     => 'application/x-director',
-        'dir'     => 'application/x-director',
-        'dxr'     => 'application/x-director',
-        'dvi'     => 'application/x-dvi',
-        'spl'     => 'application/x-futuresplash',
-        'gtar'    => 'application/x-gtar',
-        'tgz'     => 'application/x-gtar',
-        'gz'      => 'application/x-gzip',
-        'hdf'     => 'application/x-hdf',
-        'php3'    => 'application/x-httpd-php3',
-        'php'     => 'application/x-httpd-php',
-        'js'      => 'application/x-javascript',
-        'skd'     => 'application/x-koan',
-        'skm'     => 'application/x-koan',
-        'skp'     => 'application/x-koan',
-        'skt'     => 'application/x-koan',
-        'latex'   => 'application/x-latex',
-        'wmd'     => 'application/x-ms-wmd',
-        'wmz'     => 'application/x-ms-wmz',
-        'cdf'     => 'application/x-netcdf',
-        'nc'      => 'application/x-netcdf',
-        'pl'      => 'application/x-perl',
-        'pm'      => 'application/x-perl',
-        'shar'    => 'application/x-shar',
-        'swf'     => 'application/x-shockwave-flash',
-        'sh'      => 'application/x-sh',
-        'sit'     => 'application/x-stuffit',
-        'sv4cpio' => 'application/x-sv4cpio',
-        'sv4crc'  => 'application/x-sv4crc',
-        'tar'     => 'application/x-tar',
-        'tcl'     => 'application/x-tcl',
-        'texi'    => 'application/x-texinfo',
-        'texinfo' => 'application/x-texinfo',
-        'tex'     => 'application/x-tex',
-        'man'     => 'application/x-troff-man',
-        'me'      => 'application/x-troff-me',
-        'ms'      => 'application/x-troff-ms',
-        'roff'    => 'application/x-troff',
-        't'       => 'application/x-troff',
-        'tr'      => 'application/x-troff',
-        'ustar'   => 'application/x-ustar',
-        'src'     => 'application/x-wais-source',
-        'xhtml'   => 'application/xhtml+xml',
-        'xht'     => 'application/xhtml+xml',
-        'xml'     => 'application/xml',
-        'zip'     => 'application/zip',
-        'au'      => 'audio/basic',
-        'snd'     => 'audio/basic',
-        'kar'     => 'audio/midi',
-        'mid'     => 'audio/midi',
-        'midi'    => 'audio/midi',
-        'mp3'     => 'audio/mpeg',
-        'mp2'     => 'audio/mpeg',
-        'mpga'    => 'audio/mpeg',
-        'aiff'    => 'audio/x-aiff',
-        'aif'     => 'audio/x-aiff',
-        'aifc'    => 'audio/x-aiff',
-        'm3u'     => 'audio/x-mpegurl',
-        'wax'     => 'audio/x-ms-wax',
-        'wma'     => 'audio/x-ms-wma',
-        'rpm'     => 'audio/x-pn-realaudio-plugin',
-        'ram'     => 'audio/x-pn-realaudio',
-        'rm'      => 'audio/x-pn-realaudio',
-        'ra'      => 'audio/x-realaudio',
-        'wav'     => 'audio/x-wav',
-        'pdb'     => 'chemical/x-pdb',
-        'xyz'     => 'chemical/x-xyz',
-        'bmp'     => 'image/bmp',
-        'gif'     => 'image/gif',
-        'ief'     => 'image/ief',
-        'jpg'     => 'image/jpeg',
-        'jpe'     => 'image/jpeg',
-        'jpeg'    => 'image/jpeg',
-        'png'     => 'image/png',
-        'tif'     => 'image/tiff',
-        'tiff'    => 'image/tiff',
-        'wbmp'    => 'image/vnd.wap.wbmp',
-        'ras'     => 'image/x-cmu-raster',
-        'pnm'     => 'image/x-portable-anymap',
-        'pbm'     => 'image/x-portable-bitmap',
-        'pgm'     => 'image/x-portable-graymap',
-        'ppm'     => 'image/x-portable-pixmap',
-        'rgb'     => 'image/x-rgb',
-        'xbm'     => 'image/x-xbitmap',
-        'xpm'     => 'image/x-xpixmap',
-        'xwd'     => 'image/x-xwindowdump',
-        'iges'    => 'model/iges',
-        'igs'     => 'model/iges',
-        'mesh'    => 'model/mesh',
-        'msh'     => 'model/mesh',
-        'silo'    => 'model/mesh',
-        'vrml'    => 'model/vrml',
-        'wrl'     => 'model/vrml',
-        'ics'     => 'text/calendar',
-        'ifb'     => 'text/calendar',
-        'vcs'     => 'text/calendar',
-        'vfb'     => 'text/calendar',
-        'css'     => 'text/css',
-        'diff'    => 'text/diff',
-        'patch'   => 'text/diff',
-        'html'    => 'text/html',
-        'htm'     => 'text/html',
-        'shtml'   => 'text/html',
-        'txt'     => 'text/plain',
-        'asc'     => 'text/plain',
-        'log'     => 'text/plain',
-        'po'      => 'text/plain',
-        'rtx'     => 'text/richtext',
-        'rtf'     => 'text/rtf',
-        'sgm'     => 'text/sgml',
-        'sgml'    => 'text/sgml',
-        'tsv'     => 'text/tab-separated-values',
-        'wmls'    => 'text/vnd.wap.wmlscript',
-        'wml'     => 'text/vnd.wap.wml',
-        'etx'     => 'text/x-setext',
-        'vcf'     => 'text/x-vcard',
-        'xsl'     => 'text/xml',
-        'mpeg'    => 'video/mpeg',
-        'mpe'     => 'video/mpeg',
-        'mpg'     => 'video/mpeg',
-        'mov'     => 'video/quicktime',
-        'qt'      => 'video/quicktime',
-        'mxu'     => 'video/vnd.mpegurl',
-        'asf'     => 'video/x-ms-asf',
-        'asx'     => 'video/x-ms-asf',
-        'wmv'     => 'video/x-ms-wmv',
-        'wm'      => 'video/x-ms-wm',
-        'wmx'     => 'video/x-ms-wmx',
-        'wvx'     => 'video/x-ms-wvx',
-        'avi'     => 'video/x-msvideo',
-        'movie'   => 'video/x-sgi-movie',
-        'ice'     => 'x-conference/x-cooltalk',
-    );
+    var $mime_extension_map = array( 'ez' => 'application/andrew-inset', 'hqx' => 'application/mac-binhex40', 'cpt' => 'application/mac-compactpro', 'doc' => 'application/msword', 'bin' => 'application/octet-stream', 'class' => 'application/octet-stream', 'dll' => 'application/octet-stream', 'dms' => 'application/octet-stream', 'exe' => 'application/octet-stream', 'lha' => 'application/octet-stream', 'lzh' => 'application/octet-stream', 'so' => 'application/octet-stream', 'oda' => 'application/oda', 'pdf' => 'application/pdf', 'ps' => 'application/postscript', 'eps' => 'application/postscript', 'ai' => 'application/postscript', 'smi' => 'application/smil', 'smil' => 'application/smil', 'mif' => 'application/vnd.mif', 'xls' => 'application/vnd.ms-excel', 'ppt' => 'application/vnd.ms-powerpoint', 'stc' => 'application/vnd.sun.xml.calc.template', 'sxc' => 'application/vnd.sun.xml.calc', 'std' => 'application/vnd.sun.xml.draw.template', 'sxd' => 'application/vnd.sun.xml.draw', 'sti' => 'application/vnd.sun.xml.impress.template', 'sxi' => 'application/vnd.sun.xml.impress', 'sxm' => 'application/vnd.sun.xml.math', 'sxg' => 'application/vnd.sun.xml.writer.global', 'stw' => 'application/vnd.sun.xml.writer.template', 'sxw' => 'application/vnd.sun.xml.writer', 'vsd' => 'application/vnd.visio', 'wbxml' => 'application/vnd.wap.wbxml', 'wmlc' => 'application/vnd.wap.wmlc', 'wmlsc' => 'application/vnd.wap.wmlscriptc', 'bcpio' => 'application/x-bcpio', 'vcd' => 'application/x-cdlink', 'pgn' => 'application/x-chess-pgn', 'Z' => 'application/x-compress', 'cpio' => 'application/x-cpio', 'csh' => 'application/x-csh', 'dcr' => 'application/x-director', 'dir' => 'application/x-director', 'dxr' => 'application/x-director', 'dvi' => 'application/x-dvi', 'spl' => 'application/x-futuresplash', 'gtar' => 'application/x-gtar', 'tgz' => 'application/x-gtar', 'gz' => 'application/x-gzip', 'hdf' => 'application/x-hdf', 'php3' => 'application/x-httpd-php3', 'php' => 'application/x-httpd-php', 'js' => 'application/x-javascript', 'skd' => 'application/x-koan', 'skm' => 'application/x-koan', 'skp' => 'application/x-koan', 'skt' => 'application/x-koan', 'latex' => 'application/x-latex', 'wmd' => 'application/x-ms-wmd', 'wmz' => 'application/x-ms-wmz', 'cdf' => 'application/x-netcdf', 'nc' => 'application/x-netcdf', 'pl' => 'application/x-perl', 'pm' => 'application/x-perl', 'shar' => 'application/x-shar', 'swf' => 'application/x-shockwave-flash', 'sh' => 'application/x-sh', 'sit' => 'application/x-stuffit', 'sv4cpio' => 'application/x-sv4cpio', 'sv4crc' => 'application/x-sv4crc', 'tar' => 'application/x-tar', 'tcl' => 'application/x-tcl', 'texi' => 'application/x-texinfo', 'texinfo' => 'application/x-texinfo', 'tex' => 'application/x-tex', 'man' => 'application/x-troff-man', 'me' => 'application/x-troff-me', 'ms' => 'application/x-troff-ms', 'roff' => 'application/x-troff', 't' => 'application/x-troff', 'tr' => 'application/x-troff', 'ustar' => 'application/x-ustar', 'src' => 'application/x-wais-source', 'xhtml' => 'application/xhtml+xml', 'xht' => 'application/xhtml+xml', 'xml' => 'application/xml', 'zip' => 'application/zip', 'au' => 'audio/basic', 'snd' => 'audio/basic', 'kar' => 'audio/midi', 'mid' => 'audio/midi', 'midi' => 'audio/midi', 'mp3' => 'audio/mpeg', 'mp2' => 'audio/mpeg', 'mpga' => 'audio/mpeg', 'aiff' => 'audio/x-aiff', 'aif' => 'audio/x-aiff', 'aifc' => 'audio/x-aiff', 'm3u' => 'audio/x-mpegurl', 'wax' => 'audio/x-ms-wax', 'wma' => 'audio/x-ms-wma', 'rpm' => 'audio/x-pn-realaudio-plugin', 'ram' => 'audio/x-pn-realaudio', 'rm' => 'audio/x-pn-realaudio', 'ra' => 'audio/x-realaudio', 'wav' => 'audio/x-wav', 'pdb' => 'chemical/x-pdb', 'xyz' => 'chemical/x-xyz', 'bmp' => 'image/bmp', 'gif' => 'image/gif', 'ief' => 'image/ief', 'jpg' => 'image/jpeg', 'jpe' => 'image/jpeg', 'jpeg' => 'image/jpeg', 'png' => 'image/png', 'tif' => 'image/tiff', 'tiff' => 'image/tiff', 'wbmp' => 'image/vnd.wap.wbmp', 'ras' => 'image/x-cmu-raster', 'pnm' => 'image/x-portable-anymap', 'pbm' => 'image/x-portable-bitmap', 'pgm' => 'image/x-portable-graymap', 'ppm' => 'image/x-portable-pixmap', 'rgb' => 'image/x-rgb', 'xbm' => 'image/x-xbitmap', 'xpm' => 'image/x-xpixmap', 'xwd' => 'image/x-xwindowdump', 'iges' => 'model/iges', 'igs' => 'model/iges', 'mesh' => 'model/mesh', 'msh' => 'model/mesh', 'silo' => 'model/mesh', 'vrml' => 'model/vrml', 'wrl' => 'model/vrml', 'ics' => 'text/calendar', 'ifb' => 'text/calendar', 'vcs' => 'text/calendar', 'vfb' => 'text/calendar', 'css' => 'text/css', 'diff' => 'text/diff', 'patch' => 'text/diff', 'html' => 'text/html', 'htm' => 'text/html', 'shtml' => 'text/html', 'txt' => 'text/plain', 'asc' => 'text/plain', 'log' => 'text/plain', 'po' => 'text/plain', 'rtx' => 'text/richtext', 'rtf' => 'text/rtf', 'sgm' => 'text/sgml', 'sgml' => 'text/sgml', 'tsv' => 'text/tab-separated-values', 'wmls' => 'text/vnd.wap.wmlscript', 'wml' => 'text/vnd.wap.wml', 'etx' => 'text/x-setext', 'vcf' => 'text/x-vcard', 'xsl' => 'text/xml', 'mpeg' => 'video/mpeg', 'mpe' => 'video/mpeg', 'mpg' => 'video/mpeg', 'mov' => 'video/quicktime', 'qt' => 'video/quicktime', 'mxu' => 'video/vnd.mpegurl', 'asf' => 'video/x-ms-asf', 'asx' => 'video/x-ms-asf', 'wmv' => 'video/x-ms-wmv', 'wm' => 'video/x-ms-wm', 'wmx' => 'video/x-ms-wmx', 'wvx' => 'video/x-ms-wvx', 'avi' => 'video/x-msvideo', 'movie' => 'video/x-sgi-movie', 'ice' => 'x-conference/x-cooltalk', );
 
     /**
@@ -246,6 +71,4 @@
                     trigger_error(sprintf('Upload directory not writable: %s', $params['upload_path']), E_USER_ERROR);
                 }
-                // Set the default upload path, stripping any extra slashes if needed.
-                $params['upload_path'] = preg_replace('!/+$!', '', $params['upload_path']);
             }
 
@@ -598,5 +421,5 @@
     function cleanFileName($file_name)
     {
-        $bad  = 'áéíóúàèìòùäëïöüÁÉÍÓÚÀÈÌÒÙÄËÏÖÜâêîôûÂÊÎÔÛñçÇ@';
+        $bad  = 'Ã¡Ã©Ã­Ã³ÃºÃ ÃšÃ¬Ã²Ã¹Ã€Ã«Ã¯Ã¶ÃŒÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃ¢ÃªÃ®ÃŽÃ»ÃÃÃÃÃÃ±Ã§Ã@';
         $good = 'aeiouaeiouaeiouAEIOUAEIOUAEIOUaeiouAEIOUncCa';
         $file_name = trim($file_name);
Index: trunk/services/css.php
===================================================================
--- trunk/services/css.php	(revision 104)
+++ trunk/services/css.php	(revision 106)
@@ -1,5 +1,5 @@
 <?php
 /**
- * css.php
+ * css.php 
  * Code by Strangecode :: www.strangecode.com :: This document contains copyrighted information
  *
@@ -12,6 +12,6 @@
 
 if (is_a($css, 'CSS')) {
-    $css->headers();
-    $css->output();
+    $css->headers(getFormData('app'));
+    $css->output(getFormData('app'));
 }
 